- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::ErrorDialog Class Reference

Class for displaying the error dialog if Ogre fails badly. More...

`#include <OgreErrorDialogImp.h>`

List of all members.

## Public Member Functions
| ErrorDialog ()
void | display (const String &errorMessage, String logName="")
| Remarks: Displays the error dialog.
| ErrorDialog ()
void | display (const String &errorMessage, String logName="")
| Remarks: Displays the error dialog.
| ErrorDialog ()
void | display (const String &errorMessage, String logName="")
| Remarks: Displays the error dialog.
| ErrorDialog ()
| ~ErrorDialog ()
void | display (const String &errorMessage, String logName="")
| Remarks: Displays the error dialog.
## Static Protected Member Functions
static INT_PTR CALLBACK | DlgProc (HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)
| Callback to process window events.
## Protected Attributes
String | mErrorMsg
HINSTANCE | mHInstance

## Detailed Description

Class for displaying the error dialog if Ogre fails badly.

Definition at line 37 of file GLX/OgreErrorDialogImp.h.

## Constructor & Destructor Documentation

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

Ogre::ErrorDialog::~ErrorDialog | ( |  | ) |

Definition at line 50 of file WIN32/OgreErrorDialogImp.h.

## Member Function Documentation

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""` |
| ) |  |  |

Remarks:
  Displays the error dialog.

Parameters:

  | errorMessage | The error message which has caused the failure.
  | logName | Optional name of the log to display in the detail pane.

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""` |
| ) |  |  |

Remarks:
  Displays the error dialog.

Parameters:

  | errorMessage | The error message which has caused the failure.
  | logName | Optional name of the log to display in the detail pane.

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""` |
| ) |  |  |

Remarks:
  Displays the error dialog.

Parameters:

  | errorMessage | The error message which has caused the failure.
  | logName | Optional name of the log to display in the detail pane.

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""` |
| ) |  |  |

Remarks:
  Displays the error dialog.

Parameters:

  | errorMessage | The error message which has caused the failure.
  | logName | Optional name of the log to display in the detail pane.

static INT_PTR CALLBACK Ogre::ErrorDialog::DlgProc | ( | HWND | hDlg,
|  | UINT | iMsg,
|  | WPARAM | wParam,
|  | LPARAM | lParam |
| ) |  |  | `[static, protected]`

Callback to process window events.

## Member Data Documentation

String Ogre::ErrorDialog::mErrorMsg`[protected]`

Definition at line 63 of file WIN32/OgreErrorDialogImp.h.

HINSTANCE Ogre::ErrorDialog::mHInstance`[protected]`

Definition at line 71 of file WIN32/OgreErrorDialogImp.h.

The documentation for this class was generated from the following files:

- GLX/OgreErrorDialogImp.h
- WIN32/OgreErrorDialogImp.h
- gtk/OgreErrorDialogImp.h
- OSX/OgreErrorDialogImp.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:05 2008